// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-16 12:19:12
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.illuminationservicer.v1;

// Feature: Illumination Servicer
//   
//           Control a DASGIP illumination module. Enables read and write operations for various parameters, including the
//   illumination actuators.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service IlluminationServicer {
    // Get Access Mode
    //   Get access mode value. Controller access (Local, Remote).
    rpc GetAccess(sila2.org.silastandard.examples.illuminationservicer.v1.GetAccess_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetAccess_Responses) {}
    // Set Controller Command
    //   
    //           Set the controller command. Controller command (Nothing, Stop, Start).
    //   
    rpc SetCmd(sila2.org.silastandard.examples.illuminationservicer.v1.SetCmd_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetCmd_Responses) {}
    // Get Controller Command
    //   Get the controller command. Controller command (Nothing, Stop, Start).
    rpc GetCmd(sila2.org.silastandard.examples.illuminationservicer.v1.GetCmd_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetCmd_Responses) {}
    // Set Controller Mode
    //   
    //           Set the controller mode. Controller mode (Manual, Automatic).
    //   
    rpc SetMode(sila2.org.silastandard.examples.illuminationservicer.v1.SetMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetMode_Responses) {}
    // Get Controller Mode
    //   Get the controller mode. Controller mode (Manual, Automatic).
    rpc GetMode(sila2.org.silastandard.examples.illuminationservicer.v1.GetMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetMode_Responses) {}
    // Get State
    //   Get controller state. Controller state (Off, On, Error).
    rpc GetState(sila2.org.silastandard.examples.illuminationservicer.v1.GetState_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetState_Responses) {}
    // Get Function Type
    //   Get function type.
    rpc GetType(sila2.org.silastandard.examples.illuminationservicer.v1.GetType_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetType_Responses) {}
    // Get Function Availability
    //   Get function availability.
    rpc GetAvailable(sila2.org.silastandard.examples.illuminationservicer.v1.GetAvailable_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetAvailable_Responses) {}
    // Get Function Name
    //   Get function name.
    rpc GetName(sila2.org.silastandard.examples.illuminationservicer.v1.GetName_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetName_Responses) {}
    // Get Function Version
    //   Get function model version number.
    rpc GetVersion(sila2.org.silastandard.examples.illuminationservicer.v1.GetVersion_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetVersion_Responses) {}
    // Get ActuatorA PV
    //   Get ActuatorA controller process value.
    rpc GetActuatorAPV(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAPV_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAPV_Responses) {}
    // Get ActuatorA PV Int
    //   Get ActuatorA accumulated process value.
    rpc GetActuatorAPVInt(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAPVInt_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAPVInt_Responses) {}
    // Get ActuatorA Source
    //   Get ActuatorA source.
    rpc GetActuatorASource(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASource_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASource_Responses) {}
    // Set ActuatorA Manual Setpoint
    //   
    //           Set the manual ActuatorA setpoint.
    //   
    rpc SetActuatorASPM(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorASPM_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorASPM_Responses) {}
    // Set ActuatorA External Setpoint
    //   
    //           Set the external ActuatorA setpoint.
    //   
    rpc SetActuatorASPE(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorASPE_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorASPE_Responses) {}
    // Get ActuatorA SP
    //   Get ActuatorA setpoint value
    rpc GetActuatorASP(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASP_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASP_Responses) {}
    // Get ActuatorA SPA
    //   Get ActuatorA automatic setpoint value
    rpc GetActuatorASPA(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPA_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPA_Responses) {}
    // Get ActuatorA SPM
    //   Get ActuatorA manual setpoint value
    rpc GetActuatorASPM(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPM_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPM_Responses) {}
    // Get ActuatorA SPE
    //   Get ActuatorA external setpoint value
    rpc GetActuatorASPE(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPE_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPE_Responses) {}
    // Get ActuatorA SPR
    //   Get ActuatorA remote setpoint value
    rpc GetActuatorASPR(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPR_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASPR_Responses) {}
    // Set ActuatorA Controller Mode
    //   
    //           Set the ActuatorA controller mode. Controller mode (Manual, Automatic).
    //   
    rpc SetActuatorAMode(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorAMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorAMode_Responses) {}
    // Get ActuatorA Controller Mode
    //   Get the ActuatorA controller mode. Controller mode (Manual, Automatic).
    rpc GetActuatorAMode(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAMode_Responses) {}
    // Set ActuatorA SetpointSelect
    //   
    //           Set the selected ActuatorA setpoint that should be used. Setpoint selection (Local, Manual, Internal, Script,
    //   External).
    //   
    rpc SetActuatorASetpointSelect(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorASetpointSelect_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorASetpointSelect_Responses) {}
    // Get ActuatorA SetpointSelect
    //   Get the ActuatorA setpoint selection. Controller state (Off, On, Error).
    rpc GetActuatorASetpointSelect(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASetpointSelect_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorASetpointSelect_Responses) {}
    // Get ActuatorA Function Availability
    //   Get ActuatorA function availability.
    rpc GetActuatorAAvailable(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAAvailable_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAAvailable_Responses) {}
    // Get ActuatorA Function Name
    //   Get ActuatorA function name.
    rpc GetActuatorAName(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAName_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorAName_Responses) {}
    // Get ActuatorB PV
    //   Get ActuatorB controller process value.
    rpc GetActuatorBPV(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBPV_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBPV_Responses) {}
    // Get ActuatorB PV Int
    //   Get ActuatorB accumulated process value.
    rpc GetActuatorBPVInt(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBPVInt_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBPVInt_Responses) {}
    // Get ActuatorB Source
    //   Get ActuatorB source.
    rpc GetActuatorBSource(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSource_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSource_Responses) {}
    // Set ActuatorB Manual Setpoint
    //   
    //           Set the manual ActuatorB setpoint.
    //   
    rpc SetActuatorBSPM(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBSPM_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBSPM_Responses) {}
    // Set ActuatorB External Setpoint
    //   
    //           Set the external ActuatorB setpoint.
    //   
    rpc SetActuatorBSPE(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBSPE_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBSPE_Responses) {}
    // Get ActuatorB SP
    //   Get ActuatorB setpoint value
    rpc GetActuatorBSP(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSP_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSP_Responses) {}
    // Get ActuatorB SPA
    //   Get ActuatorB automatic setpoint value
    rpc GetActuatorBSPA(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPA_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPA_Responses) {}
    // Get ActuatorB SPM
    //   Get ActuatorB manual setpoint value
    rpc GetActuatorBSPM(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPM_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPM_Responses) {}
    // Get ActuatorB SPE
    //   Get ActuatorB external setpoint value
    rpc GetActuatorBSPE(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPE_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPE_Responses) {}
    // Get ActuatorB SPR
    //   Get ActuatorB remote setpoint value
    rpc GetActuatorBSPR(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPR_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSPR_Responses) {}
    // Set ActuatorB Controller Mode
    //   
    //           Set the ActuatorB controller mode. Controller mode (Manual, Automatic).
    //   
    rpc SetActuatorBMode(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBMode_Responses) {}
    // Get ActuatorB Controller Mode
    //   Get the ActuatorB controller mode. Controller mode (Manual, Automatic).
    rpc GetActuatorBMode(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBMode_Responses) {}
    // Set ActuatorB SetpointSelect
    //   
    //           Set the selected ActuatorB setpoint that should be used. Setpoint selection (Local, Manual, Internal, Script,
    //   External).
    //   
    rpc SetActuatorBSetpointSelect(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorBSetpointSelect_Responses) {}
    // Get ActuatorB SetpointSelect
    //   Get the ActuatorB setpoint selection. Controller state (Off, On, Error).
    rpc GetActuatorBSetpointSelect(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBSetpointSelect_Responses) {}
    // Get ActuatorB Function Availability
    //   Get ActuatorB function availability.
    rpc GetActuatorBAvailable(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBAvailable_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBAvailable_Responses) {}
    // Get ActuatorB Function Name
    //   Get ActuatorB function name.
    rpc GetActuatorBName(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBName_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorBName_Responses) {}
    // Get ActuatorC PV
    //   Get ActuatorC controller process value.
    rpc GetActuatorCPV(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCPV_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCPV_Responses) {}
    // Get ActuatorC PV Int
    //   Get ActuatorC accumulated process value.
    rpc GetActuatorCPVInt(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCPVInt_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCPVInt_Responses) {}
    // Get ActuatorC Source
    //   Get ActuatorC source.
    rpc GetActuatorCSource(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSource_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSource_Responses) {}
    // Set ActuatorC Manual Setpoint
    //   
    //           Set the manual ActuatorC setpoint.
    //   
    rpc SetActuatorCSPM(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCSPM_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCSPM_Responses) {}
    // Set ActuatorC External Setpoint
    //   
    //           Set the external ActuatorC setpoint.
    //   
    rpc SetActuatorCSPE(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCSPE_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCSPE_Responses) {}
    // Get ActuatorC SP
    //   Get ActuatorC setpoint value
    rpc GetActuatorCSP(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSP_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSP_Responses) {}
    // Get ActuatorC SPA
    //   Get ActuatorC automatic setpoint value
    rpc GetActuatorCSPA(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPA_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPA_Responses) {}
    // Get ActuatorC SPM
    //   Get ActuatorC manual setpoint value
    rpc GetActuatorCSPM(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPM_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPM_Responses) {}
    // Get ActuatorC SPE
    //   Get ActuatorC external setpoint value
    rpc GetActuatorCSPE(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPE_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPE_Responses) {}
    // Get ActuatorC SPR
    //   Get ActuatorC remote setpoint value
    rpc GetActuatorCSPR(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPR_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSPR_Responses) {}
    // Set ActuatorC Controller Mode
    //   
    //           Set the ActuatorC controller mode. Controller mode (Manual, Automatic).
    //   
    rpc SetActuatorCMode(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCMode_Responses) {}
    // Get ActuatorC Controller Mode
    //   Get the ActuatorC controller mode. Controller mode (Manual, Automatic).
    rpc GetActuatorCMode(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCMode_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCMode_Responses) {}
    // Set ActuatorC SetpointSelect
    //   
    //           Set the selected ActuatorC setpoint that should be used. Setpoint selection (Local, Manual, Internal, Script,
    //   External).
    //   
    rpc SetActuatorCSetpointSelect(sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.SetActuatorCSetpointSelect_Responses) {}
    // Get ActuatorC SetpointSelect
    //   Get the ActuatorC setpoint selection. Controller state (Off, On, Error).
    rpc GetActuatorCSetpointSelect(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCSetpointSelect_Responses) {}
    // Get ActuatorC Function Availability
    //   Get ActuatorC function availability.
    rpc GetActuatorCAvailable(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCAvailable_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCAvailable_Responses) {}
    // Get ActuatorC Function Name
    //   Get ActuatorC function name.
    rpc GetActuatorCName(sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCName_Parameters) returns (sila2.org.silastandard.examples.illuminationservicer.v1.GetActuatorCName_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message GetAccess_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAccess_Responses {
    sila2.org.silastandard.Integer CurrentAccess = 1;
}

message SetCmd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer Cmd = 2;
}

message SetCmd_Responses {
    sila2.org.silastandard.Integer CmdSet = 1;
}

message GetCmd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetCmd_Responses {
    sila2.org.silastandard.Integer CurrentCmd = 1;
}

message SetMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer Mode = 2;
}

message SetMode_Responses {
    sila2.org.silastandard.Integer ModeSet = 1;
}

message GetMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetMode_Responses {
    sila2.org.silastandard.Integer CurrentMode = 1;
}

message GetState_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetState_Responses {
    sila2.org.silastandard.Integer CurrentState = 1;
}

message GetType_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetType_Responses {
    sila2.org.silastandard.String CurrentType = 1;
}

message GetAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAvailable_Responses {
    sila2.org.silastandard.Integer CurrentAvailable = 1;
}

message GetName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetName_Responses {
    sila2.org.silastandard.String CurrentName = 1;
}

message GetVersion_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVersion_Responses {
    sila2.org.silastandard.String CurrentVersion = 1;
}

message GetActuatorAPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorAPV_Responses {
    sila2.org.silastandard.Real CurrentActuatorAPV = 1;
}

message GetActuatorAPVInt_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorAPVInt_Responses {
    sila2.org.silastandard.Real CurrentActuatorAPVInt = 1;
}

message GetActuatorASource_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASource_Responses {
    sila2.org.silastandard.String CurrentActuatorASource = 1;
}

message SetActuatorASPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ActuatorASPM = 2;
}

message SetActuatorASPM_Responses {
    sila2.org.silastandard.Real ActuatorASPMSet = 1;
}

message SetActuatorASPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ActuatorASPE = 2;
}

message SetActuatorASPE_Responses {
    sila2.org.silastandard.Real ActuatorASPESet = 1;
}

message GetActuatorASP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASP_Responses {
    sila2.org.silastandard.Real CurrentActuatorASP = 1;
}

message GetActuatorASPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASPA_Responses {
    sila2.org.silastandard.Real CurrentActuatorASPA = 1;
}

message GetActuatorASPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASPM_Responses {
    sila2.org.silastandard.Real CurrentActuatorASPM = 1;
}

message GetActuatorASPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASPE_Responses {
    sila2.org.silastandard.Real CurrentActuatorASPE = 1;
}

message GetActuatorASPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASPR_Responses {
    sila2.org.silastandard.Real CurrentActuatorASPR = 1;
}

message SetActuatorAMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer ActuatorAMode = 2;
}

message SetActuatorAMode_Responses {
    sila2.org.silastandard.Integer ActuatorAModeSet = 1;
}

message GetActuatorAMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorAMode_Responses {
    sila2.org.silastandard.Integer CurrentActuatorAMode = 1;
}

message SetActuatorASetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer ActuatorASetpointSelect = 2;
}

message SetActuatorASetpointSelect_Responses {
    sila2.org.silastandard.Integer ActuatorASetpointSelectSet = 1;
}

message GetActuatorASetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorASetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentActuatorASetpointSelect = 1;
}

message GetActuatorAAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorAAvailable_Responses {
    sila2.org.silastandard.Integer CurrentActuatorAAvailable = 1;
}

message GetActuatorAName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorAName_Responses {
    sila2.org.silastandard.String CurrentActuatorAName = 1;
}

message GetActuatorBPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBPV_Responses {
    sila2.org.silastandard.Real CurrentActuatorBPV = 1;
}

message GetActuatorBPVInt_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBPVInt_Responses {
    sila2.org.silastandard.Real CurrentActuatorBPVInt = 1;
}

message GetActuatorBSource_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSource_Responses {
    sila2.org.silastandard.String CurrentActuatorBSource = 1;
}

message SetActuatorBSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ActuatorBSPM = 2;
}

message SetActuatorBSPM_Responses {
    sila2.org.silastandard.Real ActuatorBSPMSet = 1;
}

message SetActuatorBSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ActuatorBSPE = 2;
}

message SetActuatorBSPE_Responses {
    sila2.org.silastandard.Real ActuatorBSPESet = 1;
}

message GetActuatorBSP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSP_Responses {
    sila2.org.silastandard.Real CurrentActuatorBSP = 1;
}

message GetActuatorBSPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSPA_Responses {
    sila2.org.silastandard.Real CurrentActuatorBSPA = 1;
}

message GetActuatorBSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSPM_Responses {
    sila2.org.silastandard.Real CurrentActuatorBSPM = 1;
}

message GetActuatorBSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSPE_Responses {
    sila2.org.silastandard.Real CurrentActuatorBSPE = 1;
}

message GetActuatorBSPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSPR_Responses {
    sila2.org.silastandard.Real CurrentActuatorBSPR = 1;
}

message SetActuatorBMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer ActuatorBMode = 2;
}

message SetActuatorBMode_Responses {
    sila2.org.silastandard.Integer ActuatorBModeSet = 1;
}

message GetActuatorBMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBMode_Responses {
    sila2.org.silastandard.Integer CurrentActuatorBMode = 1;
}

message SetActuatorBSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer ActuatorBSetpointSelect = 2;
}

message SetActuatorBSetpointSelect_Responses {
    sila2.org.silastandard.Integer ActuatorBSetpointSelectSet = 1;
}

message GetActuatorBSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBSetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentActuatorBSetpointSelect = 1;
}

message GetActuatorBAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBAvailable_Responses {
    sila2.org.silastandard.Integer CurrentActuatorBAvailable = 1;
}

message GetActuatorBName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorBName_Responses {
    sila2.org.silastandard.String CurrentActuatorBName = 1;
}

message GetActuatorCPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCPV_Responses {
    sila2.org.silastandard.Real CurrentActuatorCPV = 1;
}

message GetActuatorCPVInt_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCPVInt_Responses {
    sila2.org.silastandard.Real CurrentActuatorCPVInt = 1;
}

message GetActuatorCSource_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSource_Responses {
    sila2.org.silastandard.String CurrentActuatorCSource = 1;
}

message SetActuatorCSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ActuatorCSPM = 2;
}

message SetActuatorCSPM_Responses {
    sila2.org.silastandard.Real ActuatorCSPMSet = 1;
}

message SetActuatorCSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ActuatorCSPE = 2;
}

message SetActuatorCSPE_Responses {
    sila2.org.silastandard.Real ActuatorCSPESet = 1;
}

message GetActuatorCSP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSP_Responses {
    sila2.org.silastandard.Real CurrentActuatorCSP = 1;
}

message GetActuatorCSPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSPA_Responses {
    sila2.org.silastandard.Real CurrentActuatorCSPA = 1;
}

message GetActuatorCSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSPM_Responses {
    sila2.org.silastandard.Real CurrentActuatorCSPM = 1;
}

message GetActuatorCSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSPE_Responses {
    sila2.org.silastandard.Real CurrentActuatorCSPE = 1;
}

message GetActuatorCSPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSPR_Responses {
    sila2.org.silastandard.Real CurrentActuatorCSPR = 1;
}

message SetActuatorCMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer ActuatorCMode = 2;
}

message SetActuatorCMode_Responses {
    sila2.org.silastandard.Integer ActuatorCModeSet = 1;
}

message GetActuatorCMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCMode_Responses {
    sila2.org.silastandard.Integer CurrentActuatorCMode = 1;
}

message SetActuatorCSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer ActuatorCSetpointSelect = 2;
}

message SetActuatorCSetpointSelect_Responses {
    sila2.org.silastandard.Integer ActuatorCSetpointSelectSet = 1;
}

message GetActuatorCSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCSetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentActuatorCSetpointSelect = 1;
}

message GetActuatorCAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCAvailable_Responses {
    sila2.org.silastandard.Integer CurrentActuatorCAvailable = 1;
}

message GetActuatorCName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetActuatorCName_Responses {
    sila2.org.silastandard.String CurrentActuatorCName = 1;
}


// ----------------- Metadata Definitions ------------------
